#!/bin/sh

driver_ver=linux-touch-driver

echo "1.Ubuntu 10.10~17.10"
echo "2.Lubuntu 12.04~16.04"
echo "3.Fedora 13~25"
echo "4.RHEL 6.2~7.0"
echo "5.CentOS 6.2~7.0"
echo "6.openSUSE 12.1~42.3"
echo "7.Debian 6~9"
read -p "Select system: " os

case $os in
	1) os_name=ubuntu ;;
	2) os_name=lubuntu ;;
	3) os_name=fedora ;;
	4) os_name=rhel ;;
	5) os_name=centos ;;
	6) os_name=opensuse ;;
	7) os_name=debian ;;
	* ) echo "error!!!" 
		exit 1;;
esac

echo "OS : ${os_name}"

if [ -f /usr/local/bin/FreeDraw ]; then
	sh remove.sh
fi

if ping -c 1 google.com >> /dev/null 2>&1; then
    echo "online"
    Online=y
else
    echo "offline"
    Online=n
	if [ $os_name = "opensuse" ]; then
			echo "***********************************************************"
			echo "You need internet to install."
			echo "***********************************************************"
			exit 1
	fi
fi

os_ver="NONE"

echo "1.mirror"
echo "2.extend"
read -p "Select login screen is mirror or extend:" inp

case $inp in
	1) layout=n ;;
	2) layout=y ;;
	* ) echo "error!!!" 
		exit 1;;
esac

echo "Install RS232 driver?"
read -p "(y/n): " ins_ser

file /bin/bash > machine.txt
ver=$(grep -ic '32-bit' machine.txt)
if [  "$ver" = "1"  ]; then
	machine=i686
else
	machine=x86_64
fi
rm -f machine.txt

BIN_DIR=/usr/local/bin

DRV_DIR=/usr/lib/xorg/modules/input/

if [ ! -d "$DRV_DIR" ]; then
	DRV_DIR=/usr/lib64/xorg/modules/input/
fi

LIB_DIR=/usr/lib
if [ $machine = "x86_64" ] && [ -d /usr/lib64/ ]; then
	LIB_DIR=/usr/lib64
fi

if [ ! -d "/opt/.touch_panel/" ]; then
	mkdir /opt/.touch_panel/
fi

cp ./TouchUtil.ini /opt/.touch_panel/

udevpath="/etc/udev/rules.d"

if [ -d /lib/udev/rules.d/ ]; then
	udevpath="/lib/udev/rules.d"
	echo 1 > /opt/.touch_panel/udevdef
fi

# Decompress tar
#echo "*******Decompress tar*******"
tar xzf $driver_ver.tgz
cd $driver_ver

echo $machine
if [ ! -d "$machine" ]; then
	echo "This machine is not supported!!"
	exit 1;
fi
cd $machine

if [ -f /var/log/Xorg.0.log ]; then
	cp -f /var/log/Xorg.0.log ./
else
	if [ -f /home/$USER/.local/share/xorg/Xorg.0.log ]; then
		cp -f /home/$USER/.local/share/xorg/Xorg.0.log ./
	fi
fi

if [ "$os_ver" = "NONE" ]; then
	chmod 777 ./checkver
	version=$(./checkver)
else
	version=$os_ver
fi

if [ "$version" = "18.1" ]; then
	version=18.0
elif [ "$version" = "19.2" ]; then
	version=19.1
fi

if [ ! -d "$version" ]; then
	if [ $os_name = "fedora" ] || [ $os_name = "opensuse" ] || [ $os_name = "debian" ]; then
		journalctl|grep "X.Org XInput driver" > ver.txt
		xver=$(grep -ic 'X.Org XInput driver : 21.0' ver.txt)
		if [  "$xver" != "0"  ]; then
			version=21.0
		else
			xver=$(grep -ic 'X.Org XInput driver : 24.1' ver.txt)
			if [  "$xver" != "0"  ]; then
				version=24.1
			fi
		fi
		rm -f ver.txt
	else
		xver=0
	fi
	
	if [ "$xver" = "0" ]; then
		uname -r > ver.txt
		xver=$(grep -ic 'fc25' ver.txt)
		
		if [  "$xver" != "0"  ]; then
			version=24.1
		else
			echo "This X Server version is not supported!!"
			exit 1;
		fi
	fi
fi

echo "X.Org XInput driver :"$version

cp -f ./libPct.so.1.0 $LIB_DIR
ln -sf $LIB_DIR/libPct.so.1.0 $LIB_DIR/libPct.so
ln -sf $LIB_DIR/libPct.so.1.0 $LIB_DIR/libPct.so.1	

cp -f ./libtouchapi.so.1.0 $LIB_DIR
ln -sf $LIB_DIR/libtouchapi.so.1.0 $LIB_DIR/libtouchapi.so
ln -sf $LIB_DIR/libtouchapi.so.1.0 $LIB_DIR/libtouchapi.so.1
	
#echo "Install projected capacitive touch panel driver?"
#read -p "(y/n): " insdrv

if [ -f $LIB_DIR/libtouchapi.so.1.0 ]; then
	rm -f $LIB_DIR/libtouchapi.so.1.0
	rm -f $LIB_DIR/libtouchapi.so
	rm -f $LIB_DIR/libtouchapi.so.1
fi

echo "setting device" 

#if [ $insdrv = "y" ]; then
chmod 777 setdev	
if [ "$version" = "7.0" ] || [ "$version" = "9.0" ] || [ "$version" = "11.0" ] || [ "$version" = "12.2" ] || [ "$version" = "12.3" ] || [ "$version" = "13.0" ] || [ "$version" = "16.0" ]; then
	echo 1 > /opt/.touch_panel/mousedef
	./setdev --mouse default
elif [ "$version" = "18.0" ]; then
	if [ $os_name = "rhel" ] || [ $os_name = "centos" ]; then
		./setdev --hybrid-m default
	else
		./setdev --hybrid-d default
	fi
else
	./setdev --hybrid-d default
fi

set_result=$?
insdrv=n

if [ $set_result != "0" ]; then
	insdrv=y
fi

Exec_Installing_lib()
{
	libname=$1
	libins=$2
	
	if [ $Online = 'n' ]; then
		echo "***********************************************************"
		echo "You need internet to install "$libname
		echo "***********************************************************"
		exit 1
	fi
	
	if [ $libins = "yum" ]; then
		yum search $libname | grep -ic $libname > temp.txt
	elif [ $libins = "yum" ]; then
		dnf search $libname | grep -ic $libname > temp.txt
	else
		apt-get update > update.log
		rm ./update.log
		apt-cache search $libname | grep -ic $libname > temp.txt
	fi
	
	resule=$(cat temp.txt)

	if [ $resule = '0' ]; then
		echo "***********************************************************"
		echo $libname" is not available in repository,"
		echo "You need search and download "$libname" from the internet and install."
		echo "***********************************************************"
		exit 1
	else
		echo "Installing "$libname",Plese wait...."
		if [ $libins = "yum" ]; then
			yum -y install $libname.$machine > install.log
		else
			apt-get -y install $libname > install.log
		fi
	fi
}

Install_lib()
{
	lib_name=$1
	ins=$2
	
	if [ $ins = "yum" ]; then
		yum list installed $lib_name | grep -ic $lib_name > temp.txt
	elif [ $ins = "dnf" ]; then
		dnf list installed $lib_name | grep -ic $lib_name > temp.txt
	else
		dpkg -l | grep -ic $lib_name > temp.txt
	fi
	
	resule=$(cat temp.txt)

	if [ $resule = '0' ]; then
		echo $lib_name' not installed on the computer'
		Exec_Installing_lib $lib_name $ins
	else
		echo $lib_name' has been installed on the computer'
	fi
	
}

if [ $os_name = "fedora" ]; then
	if [ "$version" = "7.0" ]; then
		echo "This X Server version is not supported!!"
		exit 1;
	fi

	if [ "$version" = "9.0" ]; then
		Install_lib libXrandr  yum
		Install_lib libXi  yum
	fi
fi

if [ $os_name = "debian" ]; then
	if [ "$version" = "7.0" ]; then
		Install_lib libxrandr-dev apt
		Install_lib ibxi-dev apt
	fi
fi

if [ -f ./10-x11-risintech.fdi ]; then
    rm -f ./10-x11-risintech.fdi
fi

if [ -f /usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi ]; then
	FileFlag=1
	cp -f /usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi /usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi.old
	cp -f /usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi ./
fi

if [ -f /etc/X11/xorg.conf.d/10-evdev.conf ]; then
	FileFlag=2
fi

if [ -f /usr/share/X11/xorg.conf.d/10-evdev.conf ]; then
	FileFlag=2
fi

if [ -f /usr/lib/X11/xorg.conf.d/05-evdev.conf ]; then
	FileFlag=2
fi

if [ -f /usr/share/X11/xorg.conf.d/40-libinput.conf ]; then
	FileFlag=2
fi

NEWUDEV=0

rc_ser=n

if [ $os_name = "fedora" ] || [ $os_name = "opensuse" ]; then
	if [ "$version" != "4.0" ] && [ "$version" != "7.0" ] && [ "$version" != "9.0" ] && [ "$version" != "11.0" ] && [ "$version" != "12.2" ] && [ "$version" != "13.0" ] && [ "$version" != "16.0" ]; then
		#echo new udev
		NEWUDEV=1
	fi
elif [ $os_name = "ubuntu" ] || [ $os_name = "lubuntu" ]; then
	if [ "$version" = "21.0" ]; then
		lsb_release -a > osver.txt
		osver1=$(grep -ic 'Ubuntu 15.' osver.txt)
		
		if [ "$osver1" = "1" ]; then
			NEWUDEV=1		
		fi
		
		rm -f osver.txt
	fi
	
	if [ "$version" = "22.1" ] || [ "$version" = "24.1" ]; then
		rc_ser=y
	fi
	
elif [ $os_name = "debian" ]; then
	if [ "$version" = "21.0" ] || [ "$version" = "22.1" ] || [ "$version" = "24.1" ]; then
		NEWUDEV=1
	fi
fi

if [ ! -d /usr/local/share/touchtool/ ]; then
	mkdir /usr/local/share/touchtool/
fi

if [ $os_name = "ubuntu" ] || [ $os_name = "debian" ]; then
	RC_LOCAL_PATH=etc
elif [ $os_name = "lubuntu" ]; then
	RC_LOCAL_PATH=etc
elif [ $os_name = "centos" ] ||  [ $os_name = "rhel" ]; then
	RC_LOCAL_PATH=etc
elif [ $os_name = "slackware" ]; then
	RC_LOCAL_PATH=etc
elif [ $os_name = "puppy" ]; then
	RC_LOCAL_PATH=etc/rc.d
else
	RC_LOCAL_PATH=etc/rc.d
fi

if [ ! -f /$RC_LOCAL_PATH/rc.local ]; then
	cp -f ../rc.local /$RC_LOCAL_PATH/
fi

cp /$RC_LOCAL_PATH/rc.local /$RC_LOCAL_PATH/rc.local.old
cp -f /$RC_LOCAL_PATH/rc.local ./

if [ $NEWUDEV = 1 ]; then
	echo install lib for new udev
	cp -f ./libtouchapi.so.1.0-newudev $LIB_DIR/libtouchapi.so.1.0
	ln -sf $LIB_DIR/libtouchapi.so.1.0 $LIB_DIR/libtouchapi.so
	ln -sf $LIB_DIR/libtouchapi.so.1.0 $LIB_DIR/libtouchapi.so.1

	cp -f ./libLinear.so.1.0-newudev $LIB_DIR/libLinear.so.1.0
	ln -sf $LIB_DIR/libLinear.so.1.0 $LIB_DIR/libLinear.so
	ln -sf $LIB_DIR/libLinear.so.1.0 $LIB_DIR/libLinear.so.1
else
	cp -f ./libtouchapi.so.1.0 $LIB_DIR
	ln -sf $LIB_DIR/libtouchapi.so.1.0 $LIB_DIR/libtouchapi.so
	ln -sf $LIB_DIR/libtouchapi.so.1.0 $LIB_DIR/libtouchapi.so.1

	cp -f ./libLinear.so.1.0 $LIB_DIR
	ln -sf $LIB_DIR/libLinear.so.1.0 $LIB_DIR/libLinear.so
	ln -sf $LIB_DIR/libLinear.so.1.0 $LIB_DIR/libLinear.so.1
fi

chmod 777 touch_default
chmod 777 chgxorg
chmod 777 setpdrv

if [ $os_name = "puppy" ]; then
	FileFlag=3
	cp /etc/X11/xorg.conf /etc/X11/xorg.conf.old
	cp /etc/X11/xorg.conf  ./
fi

./setpdrv -s -$layout
./chgxorg -$layout $FileFlag $NEWUDEV $insdrv $rc_ser $set_result $ins_ser
	
result=$?
if [ $result = "0" ] ; then
	echo "Setup Fail,please check the touch device."
	exit 1;
fi

#==========RS232================
if [ $result = "6" ]; then
	if [ ! -d /lib/modules/`uname -r`/build ]; then
		if [ $os_name = "ubuntu" ] || [ $os_name = "debian" ]; then
			echo "Install kernel headers"
			Install_lib build-essential apt
			Install_lib linux-headers-`uname -r` apt
		fi
	fi

	cd ..
	cd driver/rtouch/
	rm -f ./rtouch.ko
	make > make.log
	
	kernel=$(uname -r)
	if [ ! -f ./rtouch.ko ]; then
		echo "Build the rs232 touch driver fail!!"
		exit 1;
	fi

	cp ./rtouch.ko /lib/modules/$kernel/kernel/drivers/input/touchscreen/
	chmod 744 /lib/modules/$kernel/kernel/drivers/input/touchscreen/rtouch.ko
	/sbin/depmod
	cd ../../
	
	if [ -f /usr/share/hal/fdi/policy/20thirdparty/10-synaptics.fdi ]; then
		cp -f /usr/share/hal/fdi/policy/20thirdparty/10-synaptics.fdi /usr/share/hal/fdi/policy/20thirdparty/10-synaptics.fdi.old
		cp -f ./10-synaptics.fdi /usr/share/hal/fdi/policy/20thirdparty/
	fi
	
	cd $machine

	if [ $NEWUDEV = "1" ]; then
		cp -f ./touchattach* /etc/systemd/system/
		rm -f /etc/systemd/system/touchattach
	fi

	cp -f ./10-serialtouch.rules $udevpath/
	rm -f ./10-serialtouch.rules
	chmod 777 $udevpath/10-serialtouch.rules

	cp -f ../touchmodp.conf /etc/modprobe.d/
	chmod 777 /etc/modprobe.d/touchmodp.conf
	
	for i in 1 2 3 4
	do
		cp ./touchattach /usr/bin/touchattach$i
		chmod 777 /usr/bin/touchattach$i
	done
	
fi

echo "default"
./touch_default $set_result

#=========================================

if [ $FileFlag = "1" ]; then
	cp -f ./10-x11-input.fdi /usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi
	
	if [ -f /usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi ]; then
		cp -f ./10-x11-risintech.fdi /usr/share/hal/fdi/policy/10osvendor/
		chmod 777 /usr/share/hal/fdi/policy/10osvendor/10-x11-risintech.fdi
	fi
	
	cp -f ../99-uinput.rules $udevpath/99-uinput.rules
elif [ $FileFlag = "2" ]; then
	if [ -f /etc/X11/xorg.conf.d/10-evdev.conf ]; then
		cp -f ./99-risintech.conf  /etc/X11/xorg.conf.d/
		chmod 777 /etc/X11/xorg.conf.d/99-risintech.conf
	fi

	if [ -f /usr/share/X11/xorg.conf.d/10-evdev.conf ]; then
		cp -f ./99-risintech.conf /usr/share/X11/xorg.conf.d/
		chmod 777 /usr/share/X11/xorg.conf.d/99-risintech.conf 
	fi

	if [ -f /usr/lib/X11/xorg.conf.d/05-evdev.conf ]; then
		cp -f ./99-risintech.conf  /usr/lib/X11/xorg.conf.d/
		chmod 777 /usr/lib/X11/xorg.conf.d/99-risintech.conf
	fi
	
	if [ -f /usr/share/X11/xorg.conf.d/40-libinput.conf ]; then
		cp -f ./99-risintech.conf /usr/share/X11/xorg.conf.d/
		chmod 777 /usr/share/X11/xorg.conf.d/99-risintech.conf 
	fi
	
	cp -f ../99-uinput.rules $udevpath/99-uinput.rules
elif [ $FileFlag = "3" ]; then
	cp -f ./xorg.conf /etc/X11/xorg.conf
	cp -f ./99-touchscreen.rules $udevpath/99-touchscreen.rules
	cp -f ./50-mouse.rules $udevpath/50-mouse.rules
	chmod 777 $udevpath/99-touchscreen.rules
	chmod 777 /etc/X11/xorg.conf
fi

# Copy binaries 
#echo "*******Copy binaries*******"
for app_name in setparams setpdrv closedev setdev debug_tool touchpackservice
do
	cp ./$app_name $BIN_DIR
	chmod 777 $BIN_DIR/$app_name
done

if [ -f /etc/tpinit ]; then
	rm -f /etc/tpinit
fi

if [ $os_name = "ubuntu" ] || [ $os_name = "debian" ]; then
	cp -f /etc/profile ./
	chmod 777 setboot
	
	./setboot -$layout
	
	cp -f /etc/profile /etc/profile.old
	cp -f ./profile /etc/profile
elif [ $os_name = "lubuntu" ]; then
	cp -f /etc/profile ./
	chmod 777 setboot 
	
	./setboot -$layout
	
	cp -f /etc/profile /etc/profile.old
	cp -f ./profile /etc/profile
elif [ $os_name = "fedora" ] || [ $os_name = "rhel" ] || [ $os_name = "centos" ]; then
	if [ $layout = "y" ]; then
		cp -f ../99-setscreen-def.sh /etc/X11/xinit/xinitrc.d/99-setscreen.sh
	else
		cp -f ../99-setscreen.sh /etc/X11/xinit/xinitrc.d/
	fi
else
	RC_LOCAL_PATH=etc/rc.d	
	if [ $version = '11.0' ] || [ $version = '12.2' ] || [ $version = '19.1' ] || [ $version = '21.0' ]; then
		cp -f /etc/profile ./
		chmod 777 setboot 
		
		./setboot -$layout
		
		cp -f /etc/profile /etc/profile.old
		cp -f ./profile /etc/profile
	else
		if [ $layout = "y" ]; then
			cp -f ../99-setscreen-def.sh /etc/X11/xinit/xinitrc.d/
		else
			cp -f ../99-setscreen.sh /etc/X11/xinit/xinitrc.d/
		fi
	fi
fi

srv=s0
uipt=u0

if [ $insdrv = "y" ]; then
	type=pct
else
	type=res
fi

chmod 777 setpctboot

if [ "$version" = "7.0" ] || [ "$version" = "9.0" ] || [ "$version" = "11.0" ] || [ "$version" = "12.2" ] || [ "$version" = "12.3" ] || [ "$version" = "13.0" ] || [ "$version" = "16.0" ]; then
	echo setpctboot mouse $type $uipt $srv
	./setpctboot mouse $type $uipt $srv
elif [ "$version" = "18.0" ]; then
	if [ $os_name = "rhel" ] || [ $os_name = "centos" ]; then
		./setpctboot hybrid-m $type $uipt $srv
	else
		./setpctboot hybrid-d $type $uipt $srv
	fi
else
	./setpctboot hybrid-d $type $uipt $srv
fi

cp -f ./rc.local /$RC_LOCAL_PATH/rc.local
rm -f ./rc.local 
chmod +x /$RC_LOCAL_PATH/rc.local

if [ -f /etc/modprobe.d/blacklist.conf ]; then
	cp /etc/modprobe.d/blacklist.conf ./blacklist.conf
	chmod 777 enablespkr
	./enablespkr 1
	result1=$?
	#echo "enable buzzer status:" $result1
	if [ "$result1" = "1" ]; then
		cp ./blacklist.conf /etc/modprobe.d/blacklist.conf
	fi
fi

if [ $os_name = "slackware" ]; then
	cp -f /etc/profile /etc/profile.old
	echo "modprobe pcspkr" > /etc/profile
	echo "modprobe uinput" > /etc/profile
fi

if [ $os_name = "debian" ]; then
	cp /etc/modules /etc/modules.old
	echo "pcspkr" >> /etc/modules
	echo "uinput" >> /etc/modules
fi

if [ $os_name = "opensuse" ]; then
	if [ -d /etc/modules-load.d/ ]; then
		cp -f ../pcspkr.conf /etc/modules-load.d/pcspkr.conf
		cp -f ../uinput.conf /etc/modules-load.d/uinput.conf
	fi
fi

if [ $os_name = "ubuntu" ] || [ $os_name = "debian" ] || [ $os_name = "lubuntu" ]; then
	if [ $machine = "x86_64" ] && [ -d /lib64/ ]; then
		if [ ! -e /lib/x86_64-linux-gnu/libudev.so.0 ]; then
			ln -s /lib/x86_64-linux-gnu/libudev.so.1 /lib/x86_64-linux-gnu/libudev.so.0
		fi	
	else
		if [ ! -e /lib/i386-linux-gnu/libudev.so.0 ]; then
			ln -s /lib/i386-linux-gnu/libudev.so.1 /lib/i386-linux-gnu/libudev.so.0
		fi
	fi
fi

if [ $os_name = "fedora" ] || [ $os_name = "rhel" ] || [ $os_name = "centos" ]; then
	cp -f ../pcspkr.modules /etc/sysconfig/modules/pcspkr.modules
	chmod +x /etc/sysconfig/modules/pcspkr.modules
	
	cp -f ../uinput.modules /etc/sysconfig/modules/uinput.modules
	chmod +x /etc/sysconfig/modules/uinput.modules	
	
	if [ $machine = "x86_64" ] && [ -d /lib64/ ]; then
		if [ ! -e /lib64/libudev.so.0 ]; then
			ln -s /lib64/libudev.so.1 /lib64/libudev.so.0
		fi	
	else
		if [ ! -e /lib/libudev.so.0 ]; then
			ln -s /lib/libudev.so.1 /lib/libudev.so.0
		fi
	fi
fi

echo "1">/etc/tpinit

cp -f $version/*so $DRV_DIR

echo "Install touch tool"

if [ $os_name = "ubuntu" ] || [ $os_name = "debian" ]; then
	dpkg -l | grep -ic libpng16 > temp.txt
	
	installed=$(cat temp.txt)
	
	if [ $installed != '0' ]; then
		cp ./Touchpack $BIN_DIR
		cp ./FreeDraw $BIN_DIR
		cp ./LinearAp $BIN_DIR
		cp ./Touch_Alignment $BIN_DIR 
	else
		cp ./new/Touchpack $BIN_DIR
		cp ./new/FreeDraw $BIN_DIR
		cp ./new/LinearAp $BIN_DIR
		cp ./new/Touch_Alignment $BIN_DIR 
	fi
elif [ $os_name = "fedora" ] || [ $os_name = "rhel" ] || [ $os_name = "centos" ]; then
	if [ -f /usr/bin/dnf ]; then
		dnf list installed libpng* > temp.txt
	else
		yum list installed libpng* > temp.txt
	fi
	
	installed=$(grep 'libpng' temp.txt | grep -ic '1\.2')

	if [ $installed != '0' ]; then
		cp ./Touchpack $BIN_DIR
		cp ./FreeDraw $BIN_DIR
		cp ./LinearAp $BIN_DIR 
		cp ./Touch_Alignment $BIN_DIR 
	else
		cp ./new/Touchpack $BIN_DIR
		cp ./new/FreeDraw $BIN_DIR
		cp ./new/LinearAp $BIN_DIR
		cp ./new/Touch_Alignment $BIN_DIR 
	fi
elif [ $os_name = "opensuse" ]; then
	
	zypper se -i | grep libpng > temp.txt
	installed=$(grep 'libpng' temp.txt | grep -ic '12')
	
	if [ $installed != '0' ]; then
		cp ./Touchpack $BIN_DIR
		cp ./FreeDraw $BIN_DIR
		cp ./LinearAp $BIN_DIR 
		cp ./Touch_Alignment $BIN_DIR 
	else
		cp ./new/Touchpack $BIN_DIR
		cp ./new/FreeDraw $BIN_DIR
		cp ./new/LinearAp $BIN_DIR
		cp ./new/Touch_Alignment $BIN_DIR 
	fi
else
	cp ./FreeDraw $BIN_DIR
	cp ./LinearAp $BIN_DIR
	cp ./Touch_Alignment $BIN_DIR
	cp ./Touchpack $BIN_DIR
fi

chmod 777 $BIN_DIR/*

if [ ! -d /usr/local/share/touchtool/ ]; then
	mkdir /usr/local/share/touchtool/
fi

if [ ! -d /usr/local/share/touchtool/ui/ ]; then
	mkdir /usr/local/share/touchtool/ui
fi

cp ../touch.png /usr/local/share/touchtool/ui/
cp ../main.bmp /usr/local/share/touchtool/ui/

if [ $os_name = "ubuntu" ] || [ $os_name = "debian" ]; then
	Install_lib gksu apt
fi

if [ $os_name = "ubuntu" ]; then
	if [ "$version" = "7.0" ] || [ "$version" = "11.0" ]; then
		cp ../touchtool.desktop.ubuntu.1.0 /usr/share/applications/touchtool.desktop
	else
		cp ../touchtool.desktop.ubuntu /usr/share/applications/touchtool.desktop
	fi
elif [ $os_name = "debian" ]; then
	cp ../touchtool.desktop.debian /usr/share/applications/touchtool.desktop
elif [ $os_name = "fedora" ] || [ $os_name = "rhel" ] || [ $os_name = "centos" ]; then
	if [ -f /usr/bin/dnf ]; then
		Install_lib beesu dnf
	else
		Install_lib beesu yum
	fi
	
	cp ../touchtool.desktop.fedora /usr/share/applications/touchtool.desktop
elif [ $os_name = "opensuse" ]; then
	cp ../touchtool.desktop.opensuse /usr/share/applications/touchtool.desktop
elif [ $os_name = "puppy" ]; then
	cp ../touchtool.desktop.puppy /usr/share/applications/touchtool.desktop
fi

if [ -f /opt/.touch_panel/.restpbin ]; then
	chmod 777 /opt/.touch_panel/.restpbin
fi

if [ -f /opt/.touch_panel/.pctpbin ]; then
	chmod 777 /opt/.touch_panel/.pctpbin
fi

echo "Setup completed, please restart system to enable touch panel."

