#!/bin/sh

BIN_DIR=/usr/local/bin
#machine=$(uname -m)

ret=$(ps -A | grep -ic setevdev)
if [  "$ret" != "0"  ]; then
	killall setevdev
fi

ret=$(ps -A | grep -ic setpdrv)
if [  "$ret" != "0"  ]; then
	killall setpdrv
fi

if [ -f $BIN_DIR/closedev ]; then
	closedev
fi

# restore 10-evdev.conf
if [ -f /lib/modules/$(uname -r)/modules.dep.old ]; then
	mv -f /lib/modules/$(uname -r)/modules.dep.old /lib/modules/$(uname -r)/modules.dep
fi
# delete udev rules
if [ -f /etc/udev/rules.d/10-serialtouch.rules ]; then
	rm -f /etc/udev/rules.d/10-serialtouch.rules
fi

if [ -f /etc/udev/rules.d/99-hiddev.rules ]; then
	rm -f /etc/udev/rules.d/99-hiddev.rules
fi


if [ -f /etc/idlist.conf ]; then
	rm -f /etc/idlist.conf
fi

if [ -f /etc/manuflist.conf ]; then
	rm -f /etc/manuflist.conf
fi

if [ -f /etc/modprobe.d/touchmodp.conf ]; then
	rm -f /etc/modprobe.d/touchmodp.conf
fi

# delete binarie
if [ -f /usr/bin/touchattach1 ]; then
	rm -f /usr/bin/touchattach*
fi

if [ -f /lib/modules/$(uname -r)/kernel/drivers/input/touchscreen/rtouch.ko ]; then
	rm -f /lib/modules/$(uname -r)/kernel/drivers/input/touchscreen/rtouch.ko
	/sbin/depmod
fi

# restore 10-evdev.conf
if [ -f /etc/X11/xorg.conf.d/10-evdev.conf.old ]; then
	mv -f /etc/X11/xorg.conf.d/10-evdev.conf.old /etc/X11/xorg.conf.d/10-evdev.conf
fi

if [ -f /usr/share/X11/xorg.conf.d/10-evdev.conf.old ]; then
	mv -f /usr/share/X11/xorg.conf.d/10-evdev.conf.old /usr/share/X11/xorg.conf.d/10-evdev.conf
fi

if [ -f /usr/lib/X11/xorg.conf.d/05-evdev.conf.old ]; then
	mv -f /usr/lib/X11/xorg.conf.d/05-evdev.conf.old /usr/lib/X11/xorg.conf.d/05-evdev.conf
fi

if [ -f /usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi.old ]; then
	mv -f /usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi.old /usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi
fi

if [ -f /usr/share/hal/fdi/policy/20thirdparty/10-synaptics.fdi.old ]; then
	mv -f /usr/share/hal/fdi/policy/20thirdparty/10-synaptics.fdi.old /usr/share/hal/fdi/policy/20thirdparty/10-synaptics.fdi
fi
	
if [ -f /etc/X11/xorg.conf.d/11-risintech.conf ]; then
	rm -f /etc/X11/xorg.conf.d/11-risintech.conf 
fi

if [ -f /usr/share/X11/xorg.conf.d/11-risintech.conf ]; then
	rm -f /usr/share/X11/xorg.conf.d/11-risintech.conf 
fi

if [ -f /usr/lib/X11/xorg.conf.d/11-risintech.conf ]; then
	rm -f /usr/lib/X11/xorg.conf.d/11-risintech.conf 
fi

if [ -f /usr/share/hal/fdi/policy/10osvendor/10-x11-risintech.fdi ]; then
	rm -f /usr/share/hal/fdi/policy/10osvendor/10-x11-risintech.fdi
fi

if [ -f /etc/profile.old ]; then
	mv /etc/profile.old /etc/profile
fi

if [ -f /etc/X11/xinit/xinitrc.d/99-setscreen.sh ]; then
	rm -f /etc/X11/xinit/xinitrc.d/99-setscreen.sh
fi

# delete binaries 

for app_name in LinearAp setparams setpctparam setpdrv setevdev Align_Touch touchtool closedev FreeDraw touch_utility
do
	if [ -f $BIN_DIR/$app_name ]; then
		rm -f $BIN_DIR/$app_name
	fi
done

if [ -d /usr/local/share/touchtool/ui/ ]; then
	rm -rf /usr/local/share/touchtool/ui/
	rm -rf /usr/local/share/touchtool/
fi

if [ -f /usr/share/applications/touchtool.desktop ]; then
	rm /usr/share/applications/touchtool.desktop
fi

if [ -f /usr/lib/xorg/modules/input/risintech_drv.so ]; then
	rm -f /usr/lib/xorg/modules/input/risintech_drv.so
fi

if [ -f /usr/lib64/xorg/modules/input/risintech_drv.so ]; then
	rm -f /usr/lib64/xorg/modules/input/risintech_drv.so
fi

for LIB_DIR in /usr/lib/ /usr/lib64/
do
	if [ -f $LIB_DIR/libtouchapi.so.1.0 ]; then
		rm -f $LIB_DIR/libtouchapi.so.1.0
		rm -f $LIB_DIR/libtouchapi.so
		rm -f $LIB_DIR/libtouchapi.so.1
	fi
	
	if [ -f $LIB_DIR/libLinear.so.1.0 ]; then
		rm -f $LIB_DIR/libLinear.so.1.0
		rm -f $LIB_DIR/libLinear.so
		rm -f $LIB_DIR/libLinear.so.1
	fi
	
	if [ -f $LIB_DIR/libPct.so.1.0 ]; then
		rm -f $LIB_DIR/libPct.so.1.0
		rm -f $LIB_DIR/libPct.so
		rm -f $LIB_DIR/libPct.so.1
	fi
done

if [ -f /etc/systemd/system/touchattach1 ]; then
	rm -f /etc/systemd/system/touchattach*
fi

echo "Remove completed"
